Zum Hauptinhalt springen

List apps

GET/v2/apps
API-Version
v2
Request-Methode
GET
Operation-ID
app-list-apps

Request​

Responses​

Response-Header
  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Beschreibung

Object containing the list of Apps.

  • Array[

    An App is to be understood as a manifest for AppInstallations. E.g. 'WordPress' only exists inside our ecosystem, because there is an App -Manifest for it.

    • *object

      An App is to be understood as a manifest for AppInstallations. E.g. 'WordPress' only exists inside our ecosystem, because there is an App -Manifest for it.

      • actionCapabilitiesArray von string (einer von: start, stop, restart)
        • Array[

          An Action is a string that describes a runtime concerning action which can be executed on an AppInstallation or an App can be capable of.

          • *string (einer von: start, stop, restart)

            An Action is a string that describes a runtime concerning action which can be executed on an AppInstallation or an App can be capable of.

          ]
      • descriptionobject

        A text with a german and an english translation.

        • destringrequired
        • enstringrequired
      • idstringrequired
      • namestringrequired
      • tagsArray von stringrequired
        • Array[
          • *string
          ]
    ]
Content-Type: application/json

[
{
"actionCapabilities": [
"start"
],
"description": {
"de": "string",
"en": "string"
},
"id": "string",
"name": "string",
"tags": [
"string"
]
}
]
{
"items": {
"description": "An App is to be understood as a manifest for AppInstallations. E.g. 'WordPress' only exists inside our ecosystem, because there is an App -Manifest for it.",
"properties": {
"actionCapabilities": {
"items": {
"description": "An Action is a string that describes a runtime concerning action which can be executed on an AppInstallation or an App can be capable of.",
"enum": [
"start",
"stop",
"restart"
],
"type": "string"
},
"type": "array"
},
"description": {
"description": "A text with a german and an english translation.",
"properties": {
"de": {
"type": "string"
},
"en": {
"type": "string"
}
},
"required": [
"de",
"en"
],
"type": "object"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"tags": {
"items": {
"type": "string"
},
"type": "array"
}
},
"required": [
"id",
"name",
"tags"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/apps?limit=50&page=1
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.app.listApps({
"queryParameters": {
"limit": 50,
"page": 1
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\App\ListApps\ListAppsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListAppsRequest())
->withLimit(50)
->withPage(1);
$response = $client->app()->listApps($request);

var_dump($response->getBody();

Auf dieser Seite